Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028393
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2014-12-11 19:462015-01-30 17:14
ReporterjecharriView Statuspublic 
Assigned Tomalsasua 
PriorityimmediateResolutionfixedFixed in VersionRR15Q1
StatusclosedFix in branchFixed in SCM revision2edcb84becbd
ProjectionnoneETAnoneTarget VersionRR15Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomalsasua
Regression levelProduction - QA Approved
Regression date2014-05-20
Regression introduced in releaseRR14Q3
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/5e99759a9d68 [^]
Triggers an Emergency PackNo
Summary

0028393: Product scree is not loaded when you login without incremental refresh configured

DescriptionProduct scree is not loaded when you login without incremental refresh configured
Steps To Reproduce-Login to the environment
-Add a product to the ticket and verify that product information is displayed properly -> good.png
-Logout and login again
-Add a product to the ticket and verify that product information is not displayed properly -> bad.png
TagsNo tags attached.
Attached Filespng file icon good.png [^] (164,752 bytes) 2014-12-11 19:46


png file icon bad.png [^] (117,024 bytes) 2014-12-11 19:46

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0028350RR15Q1 closedmalsasua Error when you login without incremental refresh configured 

-  Notes
(0072510)
hgbot (developer)
2014-12-15 13:37

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 2edcb84becbd602448edc664e0d093048b535938
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Dec 15 13:36:48 2014 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/2edcb84becbd602448edc664e0d093048b535938 [^]

Fixed issue 28393. Now in case of full refresh, the application will only be rendered after the data loading is complete

---
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
---
(0072516)
malsasua (developer)
2014-12-15 16:34

verified
(0072534)
malsasua (developer)
2014-12-16 09:30

reopen to update regression info
(0072535)
malsasua (developer)
2014-12-16 09:32

reclosed
(0073956)
hgbot (developer)
2015-01-30 17:14

Repository: tools/automation/pi-mobile
Changeset: 7f875aa7c4ace95532a56ffc97cd80475ccfc3f4
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Fri Jan 30 12:51:40 2015 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/7f875aa7c4ace95532a56ffc97cd80475ccfc3f4 [^]

Related to issue 28393: Added the 'I28393_IncrementalRefreshProductLoad' test

---
M src-test/org/openbravo/test/mobile/common/selenium/javascript/TestId.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/suites/SystemSuite.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/system/I28393_IncrementalRefreshProductLoad.java
---

- Issue History
Date Modified Username Field Change
2014-12-11 19:46 jecharri New Issue
2014-12-11 19:46 jecharri Assigned To => malsasua
2014-12-11 19:46 jecharri File Added: good.png
2014-12-11 19:46 jecharri Regression level => Production - QA Approved
2014-12-11 19:46 jecharri Regression introduced in release => RR14Q3
2014-12-11 19:46 jecharri Triggers an Emergency Pack => No
2014-12-11 19:46 jecharri Issue generated from 0028350
2014-12-11 19:46 jecharri Relationship added related to 0028350
2014-12-11 19:46 jecharri File Added: bad.png
2014-12-15 13:37 hgbot Checkin
2014-12-15 13:37 hgbot Note Added: 0072510
2014-12-15 13:37 hgbot Status new => resolved
2014-12-15 13:37 hgbot Resolution open => fixed
2014-12-15 13:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/2edcb84becbd602448edc664e0d093048b535938 [^]
2014-12-15 16:34 malsasua Review Assigned To => malsasua
2014-12-15 16:34 malsasua Note Added: 0072516
2014-12-15 16:34 malsasua Status resolved => closed
2014-12-15 16:34 malsasua Fixed in Version => RR15Q1
2014-12-16 09:30 malsasua Note Added: 0072534
2014-12-16 09:30 malsasua Status closed => new
2014-12-16 09:30 malsasua Resolution fixed => open
2014-12-16 09:30 malsasua Fixed in Version RR15Q1 =>
2014-12-16 09:31 malsasua Status new => scheduled
2014-12-16 09:31 malsasua fix_in_branch => pi
2014-12-16 09:31 malsasua Status scheduled => resolved
2014-12-16 09:31 malsasua Fixed in Version => RR15Q1
2014-12-16 09:31 malsasua Resolution open => fixed
2014-12-16 09:32 malsasua Regression date => 2014-05-20
2014-12-16 09:32 malsasua Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/5e99759a9d68 [^]
2014-12-16 09:32 malsasua fix_in_branch pi =>
2014-12-16 09:32 malsasua Note Added: 0072535
2014-12-16 09:32 malsasua Status resolved => closed
2015-01-30 17:14 hgbot Checkin
2015-01-30 17:14 hgbot Note Added: 0073956


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker